#Note this package is not prefixable
#%define prefix /usr
%define name fonts-hebrew-elmar
%define version 3.3
%define release 5mdk
%define url http://elmar.co.il

Summary: Hebrew Fonts by Eli Marmor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: elmar-fonts-3.3.tar.bz2
Copyright: distributable
Group: System/Fonts/X11 bitmap
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Requires: chkfontpath 
# to have it auto-selected when choosing Hebrew at install time. 
# It would be a good idea to rem-out this line when compiling for another 
# distro
Requires: locales-he

%description
A set of hebrew fonts for X and PostScript. Created by Eli Marmor, 
El-Mar Software Ltd., http://www.elmar.co.il .

Note that this package requires chkfontpath for the installation only.
If your distribution does not have chkfontpath you will be able to install
this package with 'rpm --nodep' . However - you should add the install
directory to the FontPath before being able to use those fonts with X.

%prep
%setup 
mv elmar/COPYRIGHT .
mv elmar/H.fonts.lsm README

cat >> README <<EOF
Note that this rpm package installs the fonts. The fonts should be availble
right after the package is installed.

packager: Tzafrir Cohen <tzafrir@technion.ac.il>
EOF

%build
echo "No build necessary"

%install
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/
cp -R elmar $RPM_BUILD_ROOT%{_datadir}/fonts

# split scalable and not scalable fonts
cd $RPM_BUILD_ROOT%{_datadir}/fonts
mkdir elmar_scalable
mv elmar/*.pfa elmar_scalable
i=`grep '\.pfa\>' elmar/fonts.dir | wc -l`
echo $i > elmar_scalable/fonts.dir
grep '\.pfa\>' elmar/fonts.dir >> elmar_scalable/fonts.dir
cd elmar ; mkfontdir

%post 
chkfontpath --add %{_datadir}/fonts/elmar/:unscaled
chkfontpath --add %{_datadir}/fonts/elmar_scalable/

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
	chkfontpath --remove %{_datadir}/fonts/elmar/:unscaled
	chkfontpath --remove %{_datadir}/fonts/elmar_scalable/
fi

%clean
echo rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)  
%doc README COPYRIGHT
%{_datadir}/fonts/*

%changelog
* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 3.3-5mdk
- removed useless stuff in %%post

* Mon Sep 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.3-4mdk
- adapted to mdk macros
- splitted bitmap and Type1 fonts to separate dirs

* Sun Mar 22 2000 Tzafrir Cohen <tzafrir@technion.ac.il> 3.3-3
- fixed the install script

* Sun Mar 19 2000 Tzafrir Cohen <tzafrir@technion.ac.il> 3.3-2
- created the package. Added a README 
# end of file
